Open CASCADE Technology: Image_ColorBGRA Struct Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions | Data Fields
Image_ColorBGRA Struct Reference

POD structure for packed BGRA color value (4 bytes) More...

`#include <Image_Color.hxx>`

## Public Types
typedef Standard_Byte | ComponentType_t
| Component type. More...

## Public Member Functions
Standard_Byte | r () const
| Alias to 3rd component (red intensity). More...
Standard_Byte | g () const
| Alias to 2nd component (green intensity). More...
Standard_Byte | b () const
| Alias to 1st component (blue intensity). More...
Standard_Byte | a () const
| Alias to 4th component (alpha value). More...
Standard_Byte & | r ()
| Alias to 3rd component (red intensity). More...
Standard_Byte & | g ()
| Alias to 2nd component (green intensity). More...
Standard_Byte & | b ()
| Alias to 1st component (blue intensity). More...
Standard_Byte & | a ()
| Alias to 4th component (alpha value). More...

## Static Public Member Functions
static Standard_Integer | Length ()
| Returns the number of components. More...

## Data Fields
Standard_Byte | v [4]

## Detailed Description

POD structure for packed BGRA color value (4 bytes)

## Member Typedef Documentation

typedef Standard_Byte Image_ColorBGRA::ComponentType_t

Component type.

## Member Function Documentation

Standard_Byte Image_ColorBGRA::a | ( |  | ) | const
| inline

Alias to 4th component (alpha value).

Standard_Byte& Image_ColorBGRA::a | ( |  | ) |
| inline

Alias to 4th component (alpha value).

Standard_Byte Image_ColorBGRA::b | ( |  | ) | const
| inline

Alias to 1st component (blue intensity).

Standard_Byte& Image_ColorBGRA::b | ( |  | ) |
| inline

Alias to 1st component (blue intensity).

Standard_Byte Image_ColorBGRA::g | ( |  | ) | const
| inline

Alias to 2nd component (green intensity).

Standard_Byte& Image_ColorBGRA::g | ( |  | ) |
| inline

Alias to 2nd component (green intensity).

static Standard_Integer Image_ColorBGRA::Length | ( | void |  | ) |
| inlinestatic

Returns the number of components.

Standard_Byte Image_ColorBGRA::r | ( |  | ) | const
| inline

Alias to 3rd component (red intensity).

Standard_Byte& Image_ColorBGRA::r | ( |  | ) |
| inline

Alias to 3rd component (red intensity).

## Field Documentation

Standard_Byte Image_ColorBGRA::v[4]

The documentation for this struct was generated from the following file:

- Image_Color.hxx